> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Room Attendees

Retrieves the list of all participants currently in a Scootaverse session.


## OpenAPI

````yaml GET /api/v1/social/{socialId}/attendees
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/social/{socialId}/attendees:
    get:
      tags:
        - SocialController
      summary: GET /api/v1/social/{socialId}/attendees
      operationId: get__api_v1_social_socialId_attendees
      parameters:
        - in: path
          name: socialId
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: isPresent
          required: false
          schema:
            type: boolean
        - in: query
          name: page
          required: false
          schema:
            type: integer
            default: 0
          description: Page number to get, used with pageSize
        - in: query
          name: size
          required: false
          schema:
            type: integer
            default: 20
          description: Number of items to get in one request, used with page
        - in: query
          name: sort
          required: false
          schema:
            type: string
          description: >-
            Property to sort by. Append ',' and directions 'asc/desc' to change
            direction
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SocialAttendee'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SocialAttendee:
      type: object
      properties:
        socialAttendeeId:
          type: string
          format: uuid
        socialId:
          type: string
          format: uuid
        attendeeUserId:
          type: string
          format: uuid
        attendeeUser:
          $ref: '#/components/schemas/User'
        dateTimeArrived:
          type: string
          format: date-time
        isHost:
          type: boolean
        isPresent:
          type: boolean
        location:
          type: string
        ringColor:
          type: string
        tokenId:
          type: string
        streamConnectionId:
          type: string
        status:
          enum:
            - JOINED
            - LEFT
            - REJOINED
            - NOT_STARTED
            - ENDED
            - QUEUED
            - NOT_ADMITTED
            - BANNED
        queuePosition:
          type: integer
        queueLength:
          type: integer
        presenterVideoQuality:
          type: string
        socialChanged:
          type: boolean
        updatedWebsocketURL:
          type: string
        favoriteUserIds:
          type: array
          items:
            type: string
            format: uuid
    User:
      type: object
      properties:
        userId:
          type: string
          format: uuid
        name:
          type: string
        firstName:
          type: string
        middleName:
          type: string
        lastName:
          type: string
        emailAddress:
          type: string
        emailVerified:
          type: boolean
        preload:
          type: boolean
        mobilePhone:
          type: string
        mobilePhoneVerified:
          type: boolean
        mobilePhoneVerifiedWeb:
          type: boolean
        profileId:
          type: string
        profileImageURI:
          type: string
        profileImageId:
          type: string
          format: uuid
        profileImageBackground:
          type: string
        timeZone:
          type: string
        registeredDateTime:
          type: string
          format: date-time
        active:
          type: boolean
        actedAs:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````